{% extends 'base.html' %}
{% load bootstrap_pagination %}
{% block content %}
    <div class="d-flex" id="wrapper">
        {% include "includes/analysis_sidebar.html" %}
    <div id="page-content-wrapper">
    <div class="container-fluid">
        <div class='container' style="margin-top:20px">
            <h2 class='text-center'>{{organisations_count}} Organisations</h2>
            {% if organisations.paginator.num_pages > 1 %}
                {% bootstrap_paginate organisations show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
            {% endif %} 
            <p>Organisations detected through NER</p>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Text</th>
                    <th scope="col">Pages</th>
                </tr>
                </thead>
                <tbody>
                {% for organisation in organisations %}
                    <tr>
                        <th scope="row"><a href='/entities/{{organisation.pk}}/stats'>{{ organisation }}</a></th>
                        <td>
                            {{organisation.page_set.count }}                      
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            {% if organisations.paginator.num_pages > 1 %}
                {% bootstrap_paginate organisations show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
            {% endif %} 
        </div>
    </div>
    </div>
{% endblock %}